# Copyright (c) 2016 Shawn Iwinski <shawn@iwin.ski>
# License: MIT
# https://opensource.org/licenses/MIT

%global github_name     cache
%global composer_name   cache
%global composer_vendor psr

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:      php-%{composer_vendor}-%{composer_name}
Version:   3.0.0
Release:   %mkrel 2
Summary:   Common interface for caching libraries
License:   MIT
Group:     Development/PHP
URL:       https://www.php-fig.org/psr/psr-6
Source0:   https://github.com/php-fig/cache/archive/cache-%{version}.tar.gz
BuildArch: noarch
# composer.json
Requires:  php >= 5.3.0
# Autoloader
BuildRequires: php-cli
Requires:  php-composer(fedora/autoloader)
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
This package holds all interfaces defined by PSR-6 [1].

Note that this is not a Cache implementation of its own. It is merely an
interface that describes a Cache implementation. See the specification for
more details.

Autoloader: %{php_libdir}/Psr/Cache/autoload.php

[1] https://www.php-fig.org/psr/psr-6/

%prep
%setup -qn %{github_name}-%{version}

%build
cat > src/autoload.php <<'EOF'
<?php
/**
 * Autoloader for %{name} and its dependencies
 * (created by %{name}-%{version}-%{release}).
 *
 * @return \Symfony\Component\ClassLoader\ClassLoader
 */

require_once '/usr/share/php/Fedora/Autoloader/autoload.php';
\Fedora\Autoloader\Autoload::addPsr4('Psr\\Cache\\', __DIR__);
EOF

%install
mkdir -p %{buildroot}%{php_libdir}/Psr/Cache
cp -rp src/* %{buildroot}%{php_libdir}/Psr/Cache/

%files
%doc LICENSE.txt
%doc *.md
%doc composer.json
%dir %{php_libdir}/Psr
 %{php_libdir}/Psr/Cache


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.0.0-2.mga10
+ Revision: 2215100
- Mageia 10 Mass Rebuild

* Wed Aug 24 2022 neoclust <neoclust> 3.0.0-1.mga9
+ Revision: 1880127
- New version 3.0.0

* Mon Mar 21 2022 umeabot <umeabot> 1.0.1-3.mga9
+ Revision: 1811253
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1522045
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 guillomovitch <guillomovitch> 1.0.1-1.mga7
+ Revision: 1357287
- imported package php-psr-cache

